bash: check command exists

This commit is contained in:
Alexander Popov 2022-08-13 11:50:44 +03:00
parent c01cbe5914
commit 920faf284d
Signed by: iiiypuk
GPG Key ID: D8C9B59A9F04A70C
1 changed files with 12 additions and 0 deletions

12
~/Bash/command_exists.sh Normal file
View File

@ -0,0 +1,12 @@
#!/bin/bash
if ! [ -x "$(command -v git)" ]; then
echo 'Error: git is not installed.' >&2
exit 1
fi
if ! command -v crystal &> /dev/null
then
echo "<the_command> could not be found"
exit
fi